# term-owo-cpp

A simple C++ program that owofies text

## Usage

### normal usage:
```bash
$ ./owo "Hello, world!"
Hewwo, wowld!
```

### from pipe / stdin:
```bash
$ echo "Hello, world!" | ./owo -p
Hewwo, wowld!
```

### from file:
```bash
$ ./owo -f file.txt
Hewwo, wowld!
```

### to file:
```bash
$ ./owo -o output.txt "Hello, world!"
```

## Building
to build the program, you will need a c++ compiler. I have no idea what im doing with cmake so this uses a very basic make file that is made to build the linux and windows binaries.
If you are on windows, good luck. I have no clue how to setup g++ on windows. I would recommend using WSL or a VM. If you are on linux, you can build the program with the following commands 
(assuming you have g++ installed):
```bash
$ make
$ build/owo "Hello, world!"
hewwo, wowld!
```

## Installation

### archlinux:
#### Aur
```bash
$ git clone `https://git.alfieking.dev/acetheking987/term-owo-cpp.git`
$ cd term-owo-cpp
$ makepkg -si
```
#### Custom Repo
```bash
$ pacman-key --recv-keys 1553B1410D80686C8D2A27338035E1AC0B1440DC
$ pacman-key --lsign-key 1553B1410D80686C8D2A27338035E1AC0B1440DC
$ pacman -Sy owo 
```

### other distros:
download the binary from the releases page or build from source

## License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details